knpu_oauth2_client:
    clients:
        keycloak:
            type: generic
            provider_class: Stevenmaguire\OAuth2\Client\Provider\Keycloak
            client_id: '%env(OAUTH_KEYCLOAK_CLIENT_ID)%'
            client_secret: '%env(OAUTH_KEYCLOAK_CLIENT_SECRET)%'
            redirect_route: app_oauth_keycloak_check
            redirect_params: {}
            provider_options:
                authServerUrl: '%env(OAUTH_KEYCLOAK_URL)%'
                realm: '%env(OAUTH_KEYCLOAK_REALM)%'
